# Uses of Class
javafx.scene.effect.Light

Packages that use Light
Package
Description
javafx.scene.effect
Provides the set of classes for attaching graphical filter effects to JavaFX Scene Graph Nodes.

## Uses of Light in javafx.scene.effect

Subclasses of Light in javafx.scene.effect
Modifier and Type
Class
Description
`static class`
`Light.Distant`
Represents a distant light source.
`static class`
`Light.Point`
Represents a light source at a given position in 3D space.
`static class`
`Light.Spot`
Represents a spot light source at a given position in 3D space, with configurable direction and focus.
Methods in javafx.scene.effect that return Light
Modifier and Type
Method
Description
`final Light`
Lighting.`getLight()`
Gets the value of the `light` property.
Methods in javafx.scene.effect that return types with arguments of type Light
Modifier and Type
Method
Description
`final ObjectProperty<Light>`
Lighting.`lightProperty()`
The light source for this `Lighting` effect.
Methods in javafx.scene.effect with parameters of type Light
Modifier and Type
Method
Description
`final void`
Lighting.`setLight(Light value)`
Sets the value of the `light` property.
Constructors in javafx.scene.effect with parameters of type Light
Modifier
Constructor
Description
``
`Lighting(Light light)`
Creates a new instance of Lighting with the specified light.